/* ===================== */
/* License feature codes */
/* ===================== */

/* Each product may contain one or more features.  E.g.
 *
 * ASPN Komodo
 * - ASPN Komodo
 * - Komodo
 * - Subscription
 *
 * ASPN Perl
 * - ASPN Perl
 * - Komodo
 * - Visual Perl
 * - Perl utilities
 * - Perl Content
 * - Subscription
 *
 */

/* Each product also gets its own feature key.  This is used whenever
 * we add new tools to a product that don't fit into any of the
 * existing features.  */

#define LF_ASPNOPEN       "ASPN Open"
#define LF_ASPNKOMODO     "ASPN Komodo"
#define LF_ASPNPERL       "ASPN Perl"
#define LF_ASPNUNIVERSAL  "ASPN Universal"
#define LF_ASPNENTERPRISE "ASPN Enterprise"

/* The following features all correspond to tools or to collection of
 * tools.  */

#define LF_KOMODO         "Komodo"
#define LF_VISUALPERL     "Visual Perl"
#define LF_VISUALPYTHON   "Visual Python"
#define LF_VISUALXSLT     "Visual XSLT"
#define LF_VISUALTCL      "Visual Tcl"
/* #define LF_PERLUTILITIES  "Perl utilities" */
#define LF_PDK3           "PDK3"

/* There are several content features too.  They are primarily used
 * for offline licensing, e.g. enabling content from a CDROM.  */

#define LF_PERLCONTENT    "Perl Content"
#define LF_PYTHONCONTENT  "Python Content"

#define LF_SUBSCRIPTION  "Subscription"

/* =============================== */
/* License keys (for each feature) */
/* =============================== */

/* EXPIRATION and ISSUED are both dates of the form DD-MM-YYYY */

/* The ISSUED date is used to prevent later versions of tools that
 * have been released more than a year after the license has been
 * issued from running.  */

#define LK_EXPIRATION    "ExpirationDate"  /* or "99-99-9999" for unlimited */
#define LK_ISSUED        "IssuedDate"
#define LK_USERNAME      "UserName"        /* "John Smith"                  */
#define LK_USEREMAIL     "UserEmail"       /* "JohnS@AOL.com"               */
#define LK_USERID        "UserId"          /* CAL id                        */
#define LK_LICENSEE      "Licensee"        /* user or company name          */
#define LK_LICENSETYPE   "LicenseType"     /* see LT_* constants below      */
#define LK_NUMBEROFCPUS  "NumberOfCPUs"
#define LK_SERIALNO      "SerialNo"
#define LK_TOKEN         "Token"

/* ============= */
/* License types */
/* ============= */

/* XXX Do we really need LT_BETA ??? */

#define LT_BETA          "Beta"
#define LT_NONCOMMERCIAL "Non-Commercial"
#define LT_COMMERCIAL    "Commercial"
#define LT_EVALUATION    "Evaluation"
#define LT_ENTERPRISE    "Enterprise"
