/* ActiveState License Library (V8) */

#ifndef _LICENSE_H_
#define _LICENSE_H_


#define DAYS_UNTIL_THE_END_OF_TIME 9999

#if !defined(_WIN32)
typedef int BOOL;
#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif
#endif

/* Some function return a memory block that must later be free by the
 * caller.  Because some of our products redefined malloc/free, please
 * use licFree() to release any memory allocated by the license
 * library. */
void licFree(void *p);

/* licReadFile() reads the license into memory. 
 *
 */
BOOL licReadFile(char **license, char **err);
char *licFindFeature(const char *license, const char *feature);
char *licFindFirstNonExpired(const char *license, const char *key, const char *features[], char **name);
char *licFetchValue(const char *feature, const char *key);
BOOL licDaysUntil(const char *feature, const char *key, int *days);
void licEnumFeatures(const char *license, BOOL (*callback)(void *any, char *name, char *data), void *any);
void licEnumKeys(const char *feature, BOOL (*callback)(void *any, char *key, char *value), void *any);


#endif /* _LICENSE_H_ */

